package com.sfnt.ldk.model;

import java.util.List;

public class Memories {
    private int count;
    private List<MemoryInfo> memory;

    public int getCount()
    {
    	return count;
    }
    public void setCount(int count)
    {
    	this.count = count;
    }
    
    public List<MemoryInfo> getFeature()
    {
    	return memory;
    }
    public void setFeature(List<MemoryInfo> memory)
    {
    	this.memory = memory;
    }
    
	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("{\n");
		sb.append("\"memory\": [");
		for(int i = 0; i < memory.size(); i++)
		{
			sb.append(toIndentedString(memory.get(i)));
			if(i != memory.size() -1 )
				sb.append(",\n");
		}
		sb.append("],\n");
        sb.append("\"count\":").append(memory.size()).append("\n");
		sb.append("}");
		return sb.toString();
	}

	/**
	 * Convert the given object to string with each line indented by 4 spaces
	 * (except the first line).
	 */
	private String toIndentedString(java.lang.Object o) {
		if (o == null) {
			return "null";
		}
		return o.toString().replace("\n", "\n    ");
	}
}
